#ifndef __APPLICATION_H__
#define __APPLICATION_H__

#include <memory>
#include <boost/asio/io_context.hpp>

namespace Core {
class IoContext;
}

namespace Older {

class Settings;

class Application {
public:
    Application();
    boost::asio::io_context &ioContext();
    int exec();

private:
    std::shared_ptr<Settings> m_settings;
    std::shared_ptr<Core::IoContext> m_ioContext;
};
} // namespace Older
#endif // __APPLICATION_H__